List transactions
curl --request GET \
--url https://merchant.bitliva.com/api/v1/transactions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://merchant.bitliva.com/api/v1/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://merchant.bitliva.com/api/v1/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://merchant.bitliva.com/api/v1/transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"status": "success",
"message": "Transactions retrieved successfully.",
"data": {
"transactions": [
{
"id": "9d3c5a1e-5b7e-4c2a-9f43-0c6c1b7a2d10",
"type": "crypto_sell",
"status": "successful",
"amount": "98010.00",
"fee": "0.00",
"currency": "NGN",
"reference": "order-1042",
"customer_id": "2f6d1c0a-8a3e-4d59-b8a1-71e0c4d5f9a3",
"details": null,
"crypto": {
"currency": "btc",
"amount": "0.001"
},
"created_at": "2026-10-18T10:15:00+01:00"
}
],
"pagination": {
"page": 1,
"per_page": 20,
"total": 1,
"last_page": 1
}
}
}{
"status": "error",
"message": "Invalid or missing API key.",
"code": "invalid_api_key"
}{
"status": "error",
"message": "Invalid or missing API key.",
"code": "invalid_api_key"
}{
"status": "error",
"message": "Invalid or missing API key.",
"code": "invalid_api_key"
}Account and wallet
List transactions
GET
/
transactions
List transactions
curl --request GET \
--url https://merchant.bitliva.com/api/v1/transactions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://merchant.bitliva.com/api/v1/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://merchant.bitliva.com/api/v1/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://merchant.bitliva.com/api/v1/transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"status": "success",
"message": "Transactions retrieved successfully.",
"data": {
"transactions": [
{
"id": "9d3c5a1e-5b7e-4c2a-9f43-0c6c1b7a2d10",
"type": "crypto_sell",
"status": "successful",
"amount": "98010.00",
"fee": "0.00",
"currency": "NGN",
"reference": "order-1042",
"customer_id": "2f6d1c0a-8a3e-4d59-b8a1-71e0c4d5f9a3",
"details": null,
"crypto": {
"currency": "btc",
"amount": "0.001"
},
"created_at": "2026-10-18T10:15:00+01:00"
}
],
"pagination": {
"page": 1,
"per_page": 20,
"total": 1,
"last_page": 1
}
}
}{
"status": "error",
"message": "Invalid or missing API key.",
"code": "invalid_api_key"
}{
"status": "error",
"message": "Invalid or missing API key.",
"code": "invalid_api_key"
}{
"status": "error",
"message": "Invalid or missing API key.",
"code": "invalid_api_key"
}Authorizations
Your API key.
Query Parameters
One of topup, withdrawal, crypto_buy, crypto_sell, crypto_deposit, giftcard_sale.
One of pending, successful, failed.
Between 1 and 100. Default 20.
Page number.

